
#ifndef BOXES_H
#define BOXES_H

typedef struct box_s {
	int left;
	int right;
	int top;
	int bottom;
} box_t;

typedef struct box_list_s {
	box_t *list;
	int size;
} box_list_t;

void initialise_box_list(box_list_t *list);
void add_box_to_list(box_t *box, box_list_t *list);
void free_box_list(box_list_t *list);
void combine_boxes(box_list_t *combined, box_list_t *raw);

#endif /* BOXES_H */
