
#include <stdint.h>

#define BUFFER_SIZE 128

typedef struct iobuffer {
	FILE *file;
	uint8_t data[BUFFER_SIZE];
	int position;
} iobuffer;

iobuffer *alloc_buffer(FILE *file);

void free_buffer(iobuffer *buf);

uint8_t read_byte(iobuffer *buf);
